diff --git a/books/tangle.lisp b/books/tangle.lisp
index a51d914..ddbab92 100644
--- a/books/tangle.lisp
+++ b/books/tangle.lisp
@@ -381,11 +381,12 @@
   (when *chunknoise* (format t "PASS 2~%"))
   (maphash #'(lambda (key value)
               (if (search pattern key)
-               (let ((helpfile  (concatenate 'string todir "/" 
-                           (subseq key 2 (- (length key) 2)))))
-               (with-open-file (out helpfile :direction :output)
-                (format t "extracting ~a~%" helpfile)
-                (gcl-expand key noweb? out)))))
+               (let ((filename key) helpfile)
+                (when noweb? (setq filename (subseq key 2 (- (length key) 2))))
+                (setq helpfile (concatenate 'string todir "/" filename))
+                (with-open-file (out helpfile :direction :output)
+                 (format t "extracting ~a~%" helpfile)
+                 (gcl-expand key noweb? out)))))
        *chunkhash*))
 
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
@@ -440,12 +441,13 @@
 (defun makeHelpFiles ()
  (let ((AXIOM (si::getenv "AXIOM")) (BOOKS (si::getenv "BOOKS")) HELP PAT)
   (setq HELP (concatenate 'string AXIOM "/doc/spadhelp"))
-  (setq PAT ".help>>")
-  (allchunks PAT (concatenate 'string BOOKS "/bookvol5.pamphlet") HELP t)
-  (allchunks PAT (concatenate 'string BOOKS "/bookvol10.2.pamphlet") HELP t)
-  (allchunks PAT (concatenate 'string BOOKS "/bookvol10.3.pamphlet") HELP t)
-  (allchunks PAT (concatenate 'string BOOKS "/bookvol10.4.pamphlet") HELP t)
-  (allchunks PAT (concatenate 'string BOOKS "/bookvol10.5.pamphlet") HELP t)))
+  (setq PAT1 ".help")
+  (setq PAT2 ".help>>")
+  (allchunks PAT1 (concatenate 'string BOOKS "/bookvol5.pamphlet") HELP nil)
+  (allchunks PAT2 (concatenate 'string BOOKS "/bookvol10.2.pamphlet") HELP t)
+  (allchunks PAT2 (concatenate 'string BOOKS "/bookvol10.3.pamphlet") HELP t)
+  (allchunks PAT2 (concatenate 'string BOOKS "/bookvol10.4.pamphlet") HELP t)
+  (allchunks PAT2 (concatenate 'string BOOKS "/bookvol10.5.pamphlet") HELP t)))
 
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;;; 13 makeInputFiles
diff --git a/changelog b/changelog
index 16cfc90..6d531ba 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20110228 tpd src/axiom-website/patches.html 20110228.02.tpd.patch
+20110228 tpd books/tangle.lisp fix help file extraction
 20110228 tpd src/axiom-website/patches.html 20110228.01.tpd.patch
 20110228 tpd src/interp/util.lisp treeshake compiler
 20110228 tpd src/interp/parsing.lisp treeshake compiler
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 697f02e..856be32 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3407,5 +3407,7 @@ books/bookvol9 treeshake compiler<br/>
 books/bookvol9 treeshake compiler<br/>
 <a href="patches/20110228.01.tpd.patch">20110228.01.tpd.patch</a>
 books/bookvol9 treeshake compiler<br/>
+<a href="patches/20110228.02.tpd.patch">20110228.02.tpd.patch</a>
+books/tangle.lisp fix help file extraction<br/>
  </body>
 </html>
